Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(74)

Issue 2456443002: Add callback to copy texture backed frames in WebRtcVideoFrameAdapter (Closed)

Created:
2 years, 10 months ago by emircan
Modified:
2 years, 10 months ago
Reviewers:
mcasas
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, dominickn+watch_chromium.org, posciak+watch_chromium.org, jam, feature-media-reviews_chromium.org, darin-cc_chromium.org, mcasas+watch+vc_chromium.org, mac-reviews_chromium.org, piman+watch_chromium.org, James Su, miu+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add callback to copy texture backed frames in WebRtcVideoFrameAdapter This CL adds a callback to copy texture backed frames in WebRtcVideoFrameAdapter so that hardware decoded video tracks can be cloned or forwarded. The callback is assigned by WebRtcVideoCapturerAdapter and runs in main renderer thread. BUG=642663 TEST=Ran https://loopback-dot-apprtc.appspot.com/?debug=loopback&vsc=h264 on Mac. Committed: https://crrev.com/e0a575d620207471068e04b133f7e24ff84b23bd Cr-Commit-Position: refs/heads/master@{#428535}

Patch Set 1 #

Total comments: 18

Patch Set 2 : mcasas@ comments. #

Patch Set 3 : Rebase. #

Patch Set 4 : Fix asan. #

Total comments: 4

Patch Set 5 : mcasas@ comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+290 lines, -79 lines) Patch
M content/renderer/media/gpu/rtc_video_decoder.cc View 1 2 1 chunk +3 lines, -2 lines 0 comments Download
M content/renderer/media/webrtc/webrtc_video_capturer_adapter.h View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc View 1 2 3 4 6 chunks +186 lines, -61 lines 0 comments Download
M content/renderer/media/webrtc/webrtc_video_capturer_adapter_unittest.cc View 1 2 3 chunks +41 lines, -0 lines 0 comments Download
M content/renderer/media/webrtc/webrtc_video_frame_adapter.h View 3 chunks +9 lines, -2 lines 0 comments Download
M content/renderer/media/webrtc/webrtc_video_frame_adapter.cc View 1 3 chunks +47 lines, -14 lines 0 comments Download

Messages

Total messages: 35 (27 generated)
emircan
PTAL.
2 years, 10 months ago (2016-10-26 08:33:08 UTC) #8
mcasas
looking good, I've got a few suggestions. Bots please. https://codereview.chromium.org/2456443002/diff/20001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc File content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc (right): https://codereview.chromium.org/2456443002/diff/20001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc#newcode48 content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc:48: ...
2 years, 10 months ago (2016-10-26 16:06:02 UTC) #9
emircan
https://codereview.chromium.org/2456443002/diff/20001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc File content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc (right): https://codereview.chromium.org/2456443002/diff/20001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc#newcode48 content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc:48: DVLOG(3) << " WebRtcVideoCapturerAdapter::dtor"; On 2016/10/26 16:06:02, mcasas wrote: ...
2 years, 10 months ago (2016-10-27 00:37:56 UTC) #11
mcasas
lgtm with a few minor suggestions. https://codereview.chromium.org/2456443002/diff/100001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc File content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc (right): https://codereview.chromium.org/2456443002/diff/100001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc#newcode172 content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc:172: << media::VideoPixelFormatToString(input_frame->format()); nit: ...
2 years, 10 months ago (2016-10-28 19:49:36 UTC) #24
emircan
https://codereview.chromium.org/2456443002/diff/100001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc File content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc (right): https://codereview.chromium.org/2456443002/diff/100001/content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc#newcode172 content/renderer/media/webrtc/webrtc_video_capturer_adapter.cc:172: << media::VideoPixelFormatToString(input_frame->format()); On 2016/10/28 19:49:35, mcasas wrote: > nit: ...
2 years, 10 months ago (2016-10-28 22:08:17 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2456443002/120001
2 years, 10 months ago (2016-10-28 22:09:08 UTC) #31
commit-bot: I haz the power
Committed patchset #5 (id:120001)
2 years, 10 months ago (2016-10-28 23:05:55 UTC) #33
commit-bot: I haz the power
2 years, 10 months ago (2016-10-28 23:08:35 UTC) #35
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/e0a575d620207471068e04b133f7e24ff84b23bd
Cr-Commit-Position: refs/heads/master@{#428535}

Powered by Google App Engine
This is Rietveld 408576698